Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | None
Language | Haskell2010

Distribution.Types.DependencyMap

Synopsis

- data DependencyMap
- toDepMap :: [Dependency] -> DependencyMap
- fromDepMap :: DependencyMap -> [Dependency]
- constrainBy :: DependencyMap -> DependencyMap -> DependencyMap

# Documentation

data DependencyMap #

A map of dependencies. Newtyped since the default monoid instance is not appropriate. The monoid instance uses `intersectVersionRanges`.

Instances

Read DependencyMap # |
Methods readsPrec :: Int -> ReadS DependencyMap Source # readList :: ReadS [DependencyMap] Source # readPrec :: ReadPrec DependencyMap Source # readListPrec :: ReadPrec [DependencyMap] Source #
Show DependencyMap # |
Methods showsPrec :: Int -> DependencyMap -> ShowS Source # show :: DependencyMap -> String Source # showList :: [DependencyMap] -> ShowS Source #
Semigroup DependencyMap # |
Methods (<>) :: DependencyMap -> DependencyMap -> DependencyMap Source # sconcat :: NonEmpty DependencyMap -> DependencyMap Source # stimes :: Integral b => b -> DependencyMap -> DependencyMap Source #
Monoid DependencyMap # |
Methods mempty :: DependencyMap Source # mappend :: DependencyMap -> DependencyMap -> DependencyMap Source # mconcat :: [DependencyMap] -> DependencyMap Source #

toDepMap :: [Dependency] -> DependencyMap #

fromDepMap :: DependencyMap -> [Dependency] #

constrainBy #

Arguments

:: DependencyMap | Input map
-> DependencyMap | Extra constraints
-> DependencyMap |